org.kie.internal.task.api

## Interface AuditTask

-     public interface AuditTask

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Date` | `getActivationTime()`
    `String` | `getActualOwner()`
    `String` | `getCreatedBy()`
    `Date` | `getCreatedOn()`
    `String` | `getDeploymentId()`
    `String` | `getDescription()`
    `Date` | `getDueDate()`
    `String` | `getName()`
    `long` | `getParentId()`
    `int` | `getPriority()`
    `String` | `getProcessId()`
    `long` | `getProcessInstanceId()`
    `long` | `getProcessSessionId()`
    `String` | `getStatus()`
    `long` | `getTaskId()`
    `long` | `getWorkItemId()`
    `void` | `setActivationTime(Date activationTime)`
    `void` | `setActualOwner(String actualOwner)`
    `void` | `setCreatedBy(String createdBy)`
    `void` | `setCreatedOn(Date createdOn)`
    `void` | `setDeploymentId(String deploymentId)`
    `void` | `setDescription(String description)`
    `void` | `setDueDate(Date dueDate)`
    `void` | `setName(String name)`
    `void` | `setParentId(long parentId)`
    `void` | `setPriority(int priority)`
    `void` | `setProcessId(String processId)`
    `void` | `setProcessInstanceId(long processInstanceId)`
    `void` | `setProcessSessionId(long processSessionId)`
    `void` | `setStatus(String status)`
    `void` | `setTaskId(long taskId)`
    `void` | `setWorkItemId(long workItemId)`

- - ### Method Detail

    - #### getTaskId

          long getTaskId()

    - #### setTaskId

          void setTaskId(long taskId)

    - #### getStatus

          String getStatus()

    - #### setStatus

          void setStatus(String status)

    - #### getActivationTime

          Date getActivationTime()

    - #### setActivationTime

          void setActivationTime(Date activationTime)

    - #### getName

          String getName()

    - #### setName

          void setName(String name)

    - #### getDescription

          String getDescription()

    - #### setDescription

          void setDescription(String description)

    - #### getPriority

          int getPriority()

    - #### setPriority

          void setPriority(int priority)

    - #### getCreatedBy

          String getCreatedBy()

    - #### setCreatedBy

          void setCreatedBy(String createdBy)

    - #### getCreatedOn

          Date getCreatedOn()

    - #### setCreatedOn

          void setCreatedOn(Date createdOn)

    - #### getDueDate

          Date getDueDate()

    - #### setDueDate

          void setDueDate(Date dueDate)

    - #### getProcessInstanceId

          long getProcessInstanceId()

    - #### setProcessInstanceId

          void setProcessInstanceId(long processInstanceId)

    - #### getProcessId

          String getProcessId()

    - #### setProcessId

          void setProcessId(String processId)

    - #### getProcessSessionId

          long getProcessSessionId()

    - #### setProcessSessionId

          void setProcessSessionId(long processSessionId)

    - #### getParentId

          long getParentId()

    - #### setParentId

          void setParentId(long parentId)

    - #### getActualOwner

          String getActualOwner()

    - #### setActualOwner

          void setActualOwner(String actualOwner)

    - #### getDeploymentId

          String getDeploymentId()

    - #### setDeploymentId

          void setDeploymentId(String deploymentId)

    - #### getWorkItemId

          long getWorkItemId()

    - #### setWorkItemId

          void setWorkItemId(long workItemId)

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.